version: "3.2"
services:

#  jdk:
#    image: openjdk:11-jdk
#    container_name: exam-jdk
#    entrypoint: [ "java" ]
#    command: "-jar /usr/local/myapp/target/examen-0.0.1-SNAPSHOT.jar"
#    environment:
#      - SPRING_DATASOURCE_URL=jdbc:mysql://mysql:3306/silviopd?useSSL=false&autoReconnect=true&failOverReadOnly=false&maxReconnects=10
#      - SPRING_DATASOURCE_USERNAME=root
#      - SPRING_DATASOURCE_PASSWORD=280510
#    volumes:
#      - $PWD/examen:/usr/local/myapp
#    ports:
#      - "8086:8080"
#    depends_on:
#      - mysql
#    networks:
#      exam:
#        ipv4_address: 172.12.0.10

  mysql:
    image: mariadb
    container_name: exam-mysql
    command: mysqld --default-authentication-plugin=mysql_native_password
    volumes:
      - $PWD/mysql/:/var/lib/mysql
#      - $PWD/backup.sql:/docker-entrypoint-initdb.d/backup.sql
    environment:
      - MYSQL_ROOT_PASSWORD=280510
      - MYSQL_ROOT_HOST=%
      - MYSQL_DATABASE=silviopd_swagger
    ports:
      - "3307:3306"
    networks:
      exam:
        ipv4_address: 172.12.0.11

networks:
  exam:
    driver: bridge
    ipam:
      driver: default
      config:
        - subnet: 172.12.0.0/24
